Subject: Fortran

From: Shi Lixia <[email-masked]>
Date: Wed, 7 May 1997 21:23:58 +0900 (TAIDT)

Recently I has read several papers, which refer to Fortran D,

Fortran 90D, Fortran D95 and HPF. They are  all associated with f77 ,

f90, align and distribute directives.

      I have known as follows:
      
      1. Fortran D95
      *  HPF data layout directives
      *  f77
      *  f90 array operations
      *  no storage or sequence

      2. Fortran D
      *  f77
      *  data layout directives, including align, distribute, and 
         decomposition
      *  forall

      3. HPF
      *  f90
      *  data layout directives, including align, distribute, and
         template
      *  forall
      *  independent do  
      
      I can draw a conclusion:
      * Fortran D is based on f77 and data layout
      * HPF is based on f90 and data layout
      * Fortran D95 is based on f77 , f90 and data layout
        There aren't parallel statements such as forall,
        independent.
 
      I am sure that you know more information. Maybe you can correct
my incorrect opinion. 
      Can you help me analyze their advantages and disadvantages?

shi li xia